### TQSL Command Line

When starting TQSL you may provide command-line options that affect how TQSL runs. Some of the options require an argument, separated from the option letter by one or more spaces. (Arguments that contain spaces or other shell-special characters should be quoted in a manner suitable for the operating system and shell that's being used.) If more than one option is specified, each option must be separated from the preceding one by one or more spaces.

Each option represents an action for TQSL to take. The options are executed in the order they appear on the command line - left to right. After processing the options (except for option -x) TQSL enters its normal menu-driven mode of operation.

TQSL Options
Option | Description
-d | Suppress date-range dialog. If present, the QSO date-range dialog will not be shown for files that follow this option on the command line.
-l location_name | Selects an existing station location. This location will be used for the commands that follow. If the station location doesn't exist, TQSL will just exit.
-s | Add or edit station location. If there is a preceding -l option the specified location will be edited. If there is no preceding -l option, a new station location is being added.
-x | Exit TQSL. If this argument is used it should be the last one on the command line. If this argument is not present, TQSL will begin normal operation after successfully processing all command-line arguments.

filename

Any command-line parameter that is not an option or an option's argument will be treated as the name of a log file (ADIF or Cabrillo) to be signed. The resulting signed file (.tq8) will be placed in the same directory as the log file, overwriting any existing .tq8 file of the same name. (Note: If this option is not preceded by a -l option that selects the station location to be used for signing, the Select Station Location for Signing dialog will be presented.) File names that contain spaces or other shell-special characters should be quoted in a manner suitable for the operating system and shell that's being used.

N.B.: If the private key needed to sign a log is protected by a password, the user will be prompted to supply that password for each file being signed.

Examples:

Edit the "Home" station location:
`tqsl -l Home -s`

Add a station location, then exit:
`tqsl -s -x`

Sign the "cqww log.adi" log file using the "CQWW Portable" station location and without displaying the QSO date-range dialog, then exit:
`tqsl -d -l "CQWW Portable" "cqww log.adi" -x`

Sign a set of log files using the "Home" station location, then exit:
`tqsl -l Home Jan.adi Feb.adi Mar.adi Jun.adi Jul.adi -x`